Bug 857423 - [EAP 5.1.2] inconsistent result of shut down operation when using JMX and shutdown.sh script and server is already stopped.
[EAP 5.1.2] inconsistent result of shut down operation when using JMX and shu...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations, Plugins (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 07:30 EDT by Filip Brychta
Modified: 2013-08-31 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:13:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-09-14 07:30:28 EDT
Description of problem:
Calling shut down operation on stopped eap has different result when stopping via JMX and shutdown.sh script. When using JMX the result is 'Failed', when using shutdown.sh the result is 'Success'

Version-Release number of selected component (if applicable):
Version: 3.1.1.CR2
Build Number: 779662a:4c4ed8a

How reproducible:
Always

Steps to Reproduce:
1. eap 5.1.2 is imported to JON inventory and is stopped
2. call shutdown operation (navigate to eap resource->Operations tab->schedules->new)
3. check operation result (history tab)
4. change method of shutting down from JMX (default) to shutdown.sh script (navigate to eap resource->Inventory tab->Connection settings->Shutdown Method) and provide path to shutdown.sh (Shutdown Script field in Connection settings)
5. repeat step 2
6. check operation result
  
Actual results:
operation result (step 3) is Failed
operation result (step 6) is Success

Expected results:
operation result (step 6) is Failed with some informative error message

Additional info:
Exit code of shutdown.sh when calling on already stopped eap server is 1 so it shouldn't be marked as Successful.
Comment 1 Jirka Kremser 2012-10-01 08:25:09 EDT
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=feb01f4

fixed in master
time:    Mon Oct 1 14:15:15 2012 +0200
commit:  feb01f468685e7cedfa0938b759cc3a4102f9b1d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 857423 - [EAP 5.1.2] inconsistent result of shut down operation when using JMX and shutdown.sh script and server is already stopped.] Check for return code was added.
Comment 2 Filip Brychta 2013-02-21 10:38:51 EST
Verified on 
Version: 4.6.0-SNAPSHOT
Build Number: 2b908fa
Comment 3 Heiko W. Rupp 2013-08-31 06:13:09 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.